SimpleTraceListener
Date: 2016-07-03

com.icl.saxon.trace

## Class SimpleTraceListener

- java.lang.Object
- - com.icl.saxon.trace.SimpleTraceListener

- All Implemented Interfaces:
    TraceListener, java.util.EventListener

      public class SimpleTraceListener
      extends java.lang.Object
      implements TraceListener

  A Simple trace listener that writes messages to System.err

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTraceListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Called at end
    `void` | `enter(NodeInfo element, Context context)` Called when an element of the stylesheet gets processed
    `void` | `enterSource(NodeHandler handler, Context context)` Called when a node of the source tree gets processed
    `void` | `leave(NodeInfo element, Context context)` Called after an element of the stylesheet got processed
    `void` | `leaveSource(NodeHandler handler, Context context)` Called after a node of the source tree got processed
    `void` | `open()` Called at start
    `void` | `toplevel(NodeInfo element)` Called for all top level elements

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTraceListener

          public SimpleTraceListener()

  - ### Method Detail

    - #### open

          public void open()

      Called at start
      Specified by:
        `open` in interface `TraceListener`

    - #### close

          public void close()

      Called at end
      Specified by:
        `close` in interface `TraceListener`

    - #### toplevel

          public void toplevel(NodeInfo element)

      Called for all top level elements
      Specified by:
        `toplevel` in interface `TraceListener`

    - #### enterSource

          public void enterSource(NodeHandler handler,
                         Context context)

      Called when a node of the source tree gets processed
      Specified by:
        `enterSource` in interface `TraceListener`

    - #### leaveSource

          public void leaveSource(NodeHandler handler,
                         Context context)

      Called after a node of the source tree got processed
      Specified by:
        `leaveSource` in interface `TraceListener`

    - #### enter

          public void enter(NodeInfo element,
                   Context context)

      Called when an element of the stylesheet gets processed
      Specified by:
        `enter` in interface `TraceListener`

    - #### leave

          public void leave(NodeInfo element,
                   Context context)

      Called after an element of the stylesheet got processed
      Specified by:
        `leave` in interface `TraceListener`